clear all
close all
clc
format long

    N=50000;
    x1=rand(1,N)*2*pi; %注意随机数要在计算函数值和误差，方差前给定
    x2=rand(1,N)*2*pi;
    x3=rand(1,N)*2*pi;
    x4=rand(1,N)*2*pi;
    x5=rand(1,N)*2*pi;
    x6=rand(1,N)*2*pi;
    x7=rand(1,N)*2*pi;
    s=1+cos(x1)+cos(x2)+cos(x3)+cos(x4)+cos(x5)+cos(x6)+cos(x7);

    N_1=0;
    N_2=0;
    N_3=0;
for i=1:N
    if s(i)<0      %计算被隔离墙反射的中子数目
        N_1=N_1+1;
    elseif s(i)>5     
        N_2=N_2+1; %计算穿过隔离墙的中子数目
    else
        N_3=N_3+1; %计算被隔离墙吸收的中子数目
    end
end
N_1/N
N_2/N  %计算穿过隔离墙的中子的比例
N_3/N
%figure;plot(1:N,x1/2/pi,'*')
figure;plot(1:N,s,'*')
